LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XFrame2 Interface Referencepublished

`import"XFrame2.idl";`

Inheritance diagram for XFrame2:

## Exported Interfaces
interface | XDispatchProvider
| provides access to dispatchers for the frame. More...
interface | XDispatchInformationProvider
| provides information about supported commands More...
interface | XDispatchProviderInterception
| supports interception mechanism for dispatched URLs More...
interface | XFramesSupplier
| Provides access to sub frames within this frame, and via its XFrame sub-interface: Allows the component to be loaded and accessed within the frame; it is the main connection to the environment of the component. More...
interface | com::sun::star::task::XStatusIndicatorFactory
| supplies access to com::sun::star::task::XStatusIndicator objects for the component within the frame to show progresses More...

## Public Attributes
com::sun::star::container::XNameContainer | UserDefinedAttributes
| contains user defined attributes. More...
string | Title
| if possible it sets/gets the UI title on/from the frame container window More...
XDispatchRecorderSupplier | DispatchRecorderSupplier
| provides access to the dispatch recorder of the frame More...
com::sun::star::uno::XInterface | LayoutManager
| Provides access to the LayoutManager of the frame. More...

## Additional Inherited Members
Public Member Functions inherited from XDispatchProvider
XDispatch | queryDispatch ([in] com::sun::star::util::URL URL, [in] string TargetFrameName, [in] long SearchFlags)
| searches for an XDispatch for the specified URL within the specified target frame. More...
sequence< XDispatch > | queryDispatches ([in] sequence< DispatchDescriptor > Requests)
| actually this method is redundant to XDispatchProvider::queryDispatch() to avoid multiple remote calls. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XDispatchInformationProvider
sequence< short > | getSupportedCommandGroups ()
| returns all supported command groups. More...
sequence< DispatchInformation > | getConfigurableDispatchInformation ([in] short CommandGroup)
| returns additional information about supported commands of a given command group. More...
Public Member Functions inherited from XDispatchProviderInterception
void | registerDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| registers an XDispatchProviderInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseDispatchProviderInterceptor ([in] XDispatchProviderInterceptor Interceptor)
| removes an XDispatchProviderInterceptor which was previously registered More...
Public Member Functions inherited from XFramesSupplier
XFrames | getFrames ()
| provides access to this container and to all other XFramesSupplier which are available from this node of frame tree More...
XFrame | getActiveFrame ()
| gets the current active frame of this container (not of any other available supplier) More...
void | setActiveFrame ([in] XFrame Frame)
| is called on activation of a direct sub-frame. More...
Public Member Functions inherited from XFrame
void | initialize ([in] com::sun::star::awt::XWindow xWindow)
| is called to initialize the frame within a window - the container window. More...
com::sun::star::awt::XWindow | getContainerWindow ()
| provides access to the container window of the frame. More...
void | setCreator ([in] XFramesSupplier Creator)
| sets the frame container that created this frame. More...
XFramesSupplier | getCreator ()
| provides access to the creator (parent) of this frame More...
string | getName ()
| access to the name property of this frame More...
void | setName ([in] string aName)
| sets the name of the frame. More...
XFrame | findFrame ([in] string aTargetFrameName, [in] long nSearchFlags)
| searches for a frame with the specified name. More...
boolean | isTop ()
| determines if the frame is a top frame. More...
void | activate ()
| activates this frame and thus the component within. More...
void | deactivate ()
| is called by the creator frame when another sub-frame gets activated. More...
boolean | isActive ()
| determines if the frame is active. More...
boolean | setComponent ([in] com::sun::star::awt::XWindow xComponentWindow, [in] XController xController)
| sets a new component into the frame or release an existing one from a frame. More...
com::sun::star::awt::XWindow | getComponentWindow ()
| provides access to the component window More...
XController | getController ()
| provides access to the controller More...
void | contextChanged ()
| notifies the frame that the context of the controller within this frame changed (i.e. More...
void | addFrameActionListener ([in]XFrameActionListener xListener)
| registers an event listener, which will be called when certain things happen to the components within this frame or within sub-frames of this frame. More...
void | removeFrameActionListener ([in] XFrameActionListener xListener)
| unregisters an event listener More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XStatusIndicatorFactory
com::sun::star::task::XStatusIndicator | createStatusIndicator ()
| create a new status indicator instance More...

## Detailed Description

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::task::XStatusIndicatorFactory

interface com::sun::star::task::XStatusIndicatorFactory

supplies access to com::sun::star::task::XStatusIndicator objects for the component within the frame to show progresses

## ◆ XDispatchInformationProvider

interface XDispatchInformationProvider

provides information about supported commands

Since
  OOo 2.0

## ◆ XDispatchProvider

interface XDispatchProvider

provides access to dispatchers for the frame.

What kind of URLs a frame accepts in the calls to XDispatchProvider::queryDispatch(), and how the returned dispatcher handles dispatches is completely implementation dependent (though of course the restrictions of XDispatchProvider must be met). Frame implementations may (optionally) support special targets in the call to XDispatchProvider::queryDispatch(). Such special targets are passed as target frame name. They may, in addition, require special frame search flags (see FrameSearchFlag), or, in opposite, limit the set of allowed flags.
Common special targets include:

- _blank
  is used to create a new frame when dispatching the URL.
- _default
  is used to recycle empty or create a new frame when dispatching the URL.
- _self
  forces the frame to dispatch the URL into itself. ("" means the same)
- _parent
  dispatches the URL into the parent frame.
- _top
  dispatches the URL into the top level frame, the frame where this is invoked belongs to.

See also
  XDispatch
  XFrame::findFrame()

## ◆ XDispatchProviderInterception

interface XDispatchProviderInterception

supports interception mechanism for dispatched URLs

Registered objects can intercept, suppress or reroute dispatched URLs. If they support another interface too (XInterceptorInfo) it's possible to perform it by directly calling of right interceptor without using list of all registered ones.

## ◆ XFramesSupplier

interface XFramesSupplier

Provides access to sub frames within this frame, and via its XFrame sub-interface: Allows the component to be loaded and accessed within the frame; it is the main connection to the environment of the component.

## Member Data Documentation

## ◆ DispatchRecorderSupplier

XDispatchRecorderSupplier DispatchRecorderSupplier
| attribute

provides access to the dispatch recorder of the frame

Such recorder can be used to record dispatch requests. The supplier contains a dispatch recorder and provide the functionality to use it for any dispatch object from outside which supports the interface XDispatch. A supplier is available only, if recording was enabled. That means: if someone wishes to enable recoding on a frame he must set a supplier with a recorder object inside of it. Every user of dispatches has to check then if such supplier is available at this frame property. If value of this property is `NULL` he must call XDispatch::dispatch() on the original dispatch object. If it's a valid value he must use the supplier by calling his method XDispatchRecorderSupplier::dispatchAndRecord() with the original dispatch object as argument.

Note:
It's not recommended to cache an already gotten supplier. Because there exist no possibility to check for enabled/disabled recording then.

Since
  OOo 1.1.2

## ◆ LayoutManager

com::sun::star::uno::XInterface LayoutManager
| attribute

Provides access to the LayoutManager of the frame.

This is actually of type XLayoutManager, but this API is still experimental (unpublished).

## ◆ Title

string Title
| attribute

if possible it sets/gets the UI title on/from the frame container window

It depends from the type of the frame container window. If it is a system task window all will be OK. Otherwise the title can't be set. Setting/getting of the pure value of this property must be possible in every case. Only showing on the UI can be fail.

## ◆ UserDefinedAttributes

com::sun::star::container::XNameContainer UserDefinedAttributes
| attribute readonly

contains user defined attributes.

See also
  com::sun::star::xml::AttributeContainer

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XFrame2.idl